Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		pacrunner
Version:	0.16
Release:	alt2_11
Summary:	Proxy configuration dA.mon
License:	GPLv2
URL:		http://connman.net/

Source0:	http://www.kernel.org/pub/linux/network/connman/pacrunner-%{version}.tar.xz

BuildRequires:  gcc-c++
BuildRequires:  gcc
BuildRequires:	pkgconfig(glib-2.0) pkgconfig(dbus-1)
BuildRequires:	pkgconfig(libcurl) pkgconfig(cunit)

Provides:       bundled(duktape) = 2.4.0
Source44: import.info

%description
PacRunner provides a dA.mon for processing proxy configuration
and providing information to clients over D-Bus.

%prep
%setup -q
# The silly way the bundled duktape.c is generated confuses debuginfo
# generator
sed '/#line/d' -i duktape/duktape.c

%build
%configure --disable-libproxy --enable-debug --enable-duktape \
	   --enable-curl --enable-datafiles
%make_build V=99

%install
mkdir -p $RPM_BUILD_ROOT%{_libexecdir}/pacrunner
make install DESTDIR=$RPM_BUILD_ROOT testdir=%{_libexecdir}/pacrunner

%files
%doc --no-dereference COPYING
%doc README AUTHORS ChangeLog
%{_sbindir}/pacrunner
%{_libexecdir}/pacrunner
%{_datadir}/dbus-1/system-services/org.pacrunner.service
%{_sysconfdir}/dbus-1/system.d/pacrunner.conf

%changelog
* Sat Mar 23 2024 Igor Vlasenko <viy@altlinux.org> 0.16-alt2_11
- update to new release by fcimport

* Thu Aug 31 2023 Igor Vlasenko <viy@altlinux.org> 0.16-alt2_9
- update to new release by fcimport

* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 0.16-alt2_8
- update to new release by fcimport

* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 0.16-alt2_7
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 0.16-alt2_6
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 0.16-alt2_5
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 0.16-alt2_4
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 0.16-alt2_3
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 0.16-alt1_3
- update to new release by fcimport

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 0.16-alt1_2
- update to new release by fcimport

* Mon Sep 30 2019 Igor Vlasenko <viy@altlinux.ru> 0.16-alt1_1
- new version

